Summary: 	Network traffic analyzer
Name: 		ethereal
Version:	0.8.18
Release: 	9
License: 	GPL
Group: 		Applications/Internet
Source0: 	http://www.ethereal.com/distribution/%{name}-%{version}.tar.gz
Source1: 	ethereal.wmconfig
Source2:	ethereal-usermode.tar.gz
Source3:	ethereal-gnome1.2.tar.gz
Source4:	ethereal-kde2.tar.gz
Url: 		http://www.ethereal.com/
BuildRoot: 	%{_tmppath}/%{name}-root
Icon: 		ethereal-logo-small.gif
Requires: 	gtk+ >= 1.2
Requires: 	libpcap >= 0.4
Requires: 	ucd-snmp
Requires:       usermode >= 1.37
BuildRequires: 	libpcap >= 0.4
BuildRequires: 	ucd-snmp-devel
BuildRequires: 	zlib-devel
BuildRequires:  openssl-devel


%package   gnome
Summary:   Red Hat Gnome integration for ethereal and ethereal-usermode
Group:     Applications/Internet
Requires:  gnome-core >= 1.2
Requires:  usermode >= 1.37
Requires:  ethereal = %{version}-%{release}


%description
Ethereal is a network traffic analyzer for Unix-ish operating systems.

This package lays base for libpcap, a packet capture and filtering 
library, contains command-line utilities, contains plugins and 
documentation for ethereal. A graphical user interface is packaged 
separately to GTK+ package.

%description gnome
Contains ethereal icon for Gnome 1.2 and desktop integration file


%prep
%setup -q


%build
#CC="gcc -I/usr/include/pcap" CFLAGS="$RPM_OPT_FLAGS" \
CC="gcc -I%{_includedir}/pcap" CFLAGS="$RPM_OPT_FLAGS" \
./configure \
   --prefix=%{_prefix} \
   --bindir=%{_sbindir} \
   --sysconfdir=%{_sysconfdir}/ethereal \
   --mandir=%{_mandir} \
   --enable-zlib \
   --enable-snmp \
   --with-ucdsnmp \
   --enable-pcap \
   --with-gnu-ld \
   --disable-static \
   --with-plugindir=%{_libdir}/%{name}/plugins/%{version}
make

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

# unpack support files for usermode, gnome and kde
( cd $RPM_BUILD_ROOT 
  tar xvzf %{SOURCE2}
  tar xvzf %{SOURCE3}
  tar xvzf %{SOURCE4} )

# install man
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
install -m 644 *.1 $RPM_BUILD_ROOT/%{_mandir}/man1

# Remi
strip --strip-debug $RPM_BUILD_ROOT%{_sbindir}/ethereal
find $RPM_BUILD_ROOT%{_libdir}/ethereal/plugins -type f -name "*.so" \
| xargs -n1 strip --strip-debug

mkdir -p %{buildroot}%{_datadir}/gnome/apps/Internet
mv %{buildroot}%{_datadir}/gnome/apps/Applications/Network/ethereal.desktop %{buildroot}%{_datadir}/gnome/apps/Internet

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README* doc/
%config %{_sysconfdir}/ethereal
%{_sbindir}/editcap
%{_sbindir}/tethereal
%{_mandir}/man1/editcap.*
%{_mandir}/man1/tethereal.*
%{_libdir}/ethereal
%{_sysconfdir}/pam.d/ethereal
%{_sysconfdir}/security/console.apps/ethereal
%{_bindir}/ethereal

%files gnome
%defattr(-,root,root)
%{_datadir}/gnome/apps/Internet/ethereal.desktop
%{_datadir}/pixmaps/ethereal.png
%{_sbindir}/ethereal
%{_mandir}/man1/ethereal.*


%changelog
* Thu Jul 19 2001 Phil Knirsch <pknirsch@redhat.de>
- Changed the BuildPrereq for openssl to openssl-devel (#49429)

* Sat Jul  7 2001 Tim Powers <timp@redhat.com>
- removed packager tag to satisfy rpmlint
- don't include the .directory file
- added dep on usermode for ethereal
- moved the desktop files from Applications/Network to Internet

* Tue Jun 26 2001 Bill Nottingham <notting@redhat.com>
- rebuild in new environment again (ucd-snmp)

* Mon Jun 25 2001 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment (ucd-snmp)

* Wed Jun 13 2001 Helge Deller <hdeller@redhat.de>
- Copyright is now License
- moved to group Applications/Internet

* Mon May 21 2001 Tim Powers <timp@redhat.com>
- merged gtk/gnome packages into the gnome package
- merged the base and usermode packages into the main ethereal package

* Thu May 17 2001 Henri Gomez <hgomez@slib.fr>
- 0.8.18
- Many improvement, take a look at NEWS in %{doc}
- Reduced the changelog history in .spec 

* Thu Apr 26 2001 Henri Gomez <hgomez@slib.fr>
- rebuilt under Redhat 6.2 + updates 
- reverted from rpm 4.0.2 to 3.0.5 for better compatibility with Redhat 6.x
- thanks Riku for the great refactory of the spec

* Thu Apr 26 2001 Riku Meskanen <mesrik@iki.fi>
- new binary package rearrangement, separated stuff that needs X11
- I changed, and I'm proposing group to Applications/Network for now ... as 
  the /usr/share/doc/rpm-*/GROUPS 'official' list does not have appropriate
  group for networking applications and leads them to be scattered around.
  The tcpdump is now at System/Internet and nmap from Applications/System, 
  the X11/* group is now on current distros mostly dead ... the X11/* tree 
  seems to still live on contrib packages. Well if it's necessary to show X11
  in group-name, I would rather suggest then Applications/Network{,ing}/X11 
  would make more sense and keep all applications closer together and all 
  it's bits and bobs easier locatable on multiple packages are built from
  one source package.

* Mon Apr 23 2001 Riku Meskanen <mesrik@iki.fi>
- rebuilt for RedHat 7.1
- created support for usermode
- added icons & config files for gnome and kde desktop integration
- added %dir %{_libdir}/ethereal/plugins to get clean uninstall
- further spec file minor cleaning, converted absolute paths to
  macros for better relocatability

* Sun Apr 16 2001  Henri Gomez <hgomez@slib.fr>
- 0.8.17 (grabbed corrected 0.8.17a archive)
- RPM built on Redhat 6.2, updates, rpm 4.0

* Tue Mar 06 2001 Henri Gomez <hgomez@slib.fr>
- 0.8.16
- RPM built on Redhat 6.1, updates, rpm 3.0.5 and libpcap-0.4-19
- ucd-snmp used 0.4.2-5 (added -lcrypto)
